Package org.apache.sling.cms.core.models

## Class QueryDebugger

- java.lang.Object
- - org.apache.sling.cms.core.models.QueryDebugger

    @ProviderType
    @Model(adaptables=org.apache.sling.api.SlingHttpServletRequest.class)
    public class QueryDebugger
    extends Object

### Constructor Summary

Constructors
`QueryDebugger​(org.apache.sling.api.SlingHttpServletRequest request)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getDuration()`
`long` `getEstimatedSize()`
`String` `getException()`
`String` `getPlan()`
`List<Map<String,​Object>>` `getPopularQueries()`
`List<org.apache.sling.api.resource.Resource>` `getResults()`
`List<Map<String,​Object>>` `getSlowQueries()`
`String` `getStatement()`
`boolean` `isExecutionEnabled()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### QueryDebugger

    @Inject
    public QueryDebugger​(org.apache.sling.api.SlingHttpServletRequest request)

### Method Detail

#### getDuration

    public long getDuration()

Returns:
  the execution duration or -1

#### getEstimatedSize

    public long getEstimatedSize()

Returns:
  the estimated size

#### isExecutionEnabled

    public boolean isExecutionEnabled()

Returns:
  if execution enabled

#### getException

    public String getException()

Returns:
  the exception

#### getPlan

    public String getPlan()

Returns:
  the plan

#### getResults

    public List<org.apache.sling.api.resource.Resource> getResults()

Returns:
  the results

#### getStatement

    public String getStatement()

Returns:
  the statement

#### getSlowQueries

    public List<Map<String,​Object>> getSlowQueries()

Returns:
  the slowQueries

#### getPopularQueries

    public List<Map<String,​Object>> getPopularQueries()

Returns:
  the popularQueries